/**
* Copyright 2007 - 2010 Skyway Software, Inc.
*/
package org.skyway.spring.util.dao.call;

import org.springframework.jdbc.core.SqlOutParameter;

/**
 * Represents an output parameter with a logical name and
 * a type.
 */
public class TypedSqlOutParameter extends SqlOutParameter {
	private Class<?> type;
	
	public TypedSqlOutParameter(String name, Class<?> type) {
		super(name, 0);
		this.type = type;
	}
	
	public Class<?> getType() {
		return type;
	}

	public void setType(Class<?> type) {
		this.type = type;
	}
}
