/**
* Copyright 2007 - 2010 Skyway Software, Inc.
*/package org.skyway.spring.util.webservice.cxf;


/**
 * Handles authentication of incoming web service calls by asking the spring
 * authentication manager to authenticate the credentials.  If the credentials
 * are valid, the SecurityContext is initialized and set.
 * 
 * @author jperkins
 *
 */
public class SpringSecurity2xCallbackHandler extends SpringSecurityCallbackHandler {
	@Override
	protected String getAuthenticationClassName() {
		return "org.springframework.security.providers.UsernamePasswordAuthenticationToken";
	}

	protected String getAuthenticationInterfaceName(){
		return "org.springframework.security.Authentication";
	}
	
	@Override
	protected String getAuthenticationExceptionClassName() {
		return "org.springframework.security.AuthenticationException";
	}

	@Override
	protected String getAuthenticationManagerClassName() {
		return "org.springframework.security.AuthenticationManager";
	}

	@Override
	protected String getSecurityContextClassName() {
		return "org.springframework.security.context.SecurityContextImpl";
	}

	@Override
	protected String getSecurityContextInterfaceName() {
		return "org.springframework.security.context.SecurityContext";
	}

	@Override
	protected String getSecurityContextHolderClassName() {
		return "org.springframework.security.context.SecurityContextHolder";
	}
}
